Skip to content
Start here

Delete a Scan Config

cloudforce_one.scans.config.delete(strconfig_id, ConfigDeleteParams**kwargs) -> object
DELETE/accounts/{account_id}/cloudforce-one/scans/config/{config_id}

Delete a Scan Config

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudforce One Write
ParametersExpand Collapse
account_id: str

Defines the Account ID.

config_id: str

Defines the Config ID.

ReturnsExpand Collapse
object

Delete a Scan Config

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
config = client.cloudforce_one.scans.config.delete(
    config_id="config_id",
    account_id="account_id",
)
print(config)
{
  "errors": [
    "string"
  ],
  "messages": [
    "string"
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    "string"
  ],
  "messages": [
    "string"
  ],
  "result": {},
  "success": true
}